extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Monedas"
    - var CabeceraListado = ["Moneda", "Descripción", ""]
    - var CantidadListado = "{{ tMonedas.length }}"
    - var TituloDatos = "Detalles de la Moneda"
    - var TamanoColeccion = "tMonedas.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tMonedaFor of tMonedas | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Clasificacion_Eliminar(tMonedaFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Moneda(tMonedaFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs {{ tMonedaFor.Simbolo }}
        td
            h6.text-xs {{ tMonedaFor.Codmoneda }}
        td
            h6.text-xs.text-nowrap {{ tMonedaFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-monedas-cabecera([(Moneda)]="tMonedaActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Denominaciones",
              role="tab",
              aria-controls="Denominaciones",
              aria-selected="true").nav-link.active Denominaciones
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Denominaciones-tab").tab-pane.fade.show.active#Denominaciones
          app-fw-monedas-detalles([(Denominaciones)]="tMonedaActual.LDenominaciones",
                                [PermisoEliminar]="tPermisoEliminar",
                                (Eliminar)="Eliminar_Denominacion($event)")
